Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.render.bbcodehtml
Class ToHTMLConfig

    java.lang.Object
      org.jboss.portal.format.render.bbcodehtml.ToHTMLConfig

    public class ToHTMLConfig

extends java.lang.Object

Field Summary
`static int` | `FILTER_MODE_ALWAYS_PRINT`
`static int` | `FILTER_MODE_NEVER_PRINT`
`static int` | `FILTER_MODE_PRINT_IF_IN_TAGS`
`static int` | `FILTER_MODE_PRINT_IF_NOT_IN_TAGS`
`static int` | `OUTPUT_MODE_DISPLAY`
`static int` | `OUTPUT_MODE_REMOVE`
`static java.lang.String` | `TPL_THEME_CODE_B_CLOSE` Template name constants.
`static java.lang.String` | `TPL_THEME_CODE_B_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_CODE_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_CODE_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_COLOR_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_COLOR_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_EMAIL`
`static java.lang.String` | `TPL_THEME_CODE_I_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_I_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_IMG`
`static java.lang.String` | `TPL_THEME_CODE_LISTITEM`
`static java.lang.String` | `TPL_THEME_CODE_OLIST_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_OLIST_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_QUOTE_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_QUOTE_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_QUOTE_USERNAME_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_SIZE_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_SIZE_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_U_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_U_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_ULIST_CLOSE`
`static java.lang.String` | `TPL_THEME_CODE_ULIST_OPEN`
`static java.lang.String` | `TPL_THEME_CODE_URL`

Constructor Summary
`ToHTMLConfig()`

Method Summary
`int` | `getFilterMode()`
`int` | `getMaxTextWidth()`
`int` | `getOuputMode()`
`java.util.Set` | `getTags()`
`boolean` | `print(java.lang.String tag)`
`void` | `setFilterMode(int filterMode)`
`void` | `setLoader(Loader loader)`
`void` | `setMaxTextWidth(int maxTextWidth)`
`void` | `setOuputMode(int ouputMode)`
`void` | `setTags(java.util.Set tags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TPL_THEME_CODE_B_CLOSE

    public static final java.lang.String TPL_THEME_CODE_B_CLOSE

  Template name constants.

  See Also:
    Constant Field Values

### TPL_THEME_CODE_B_OPEN

    public static final java.lang.String TPL_THEME_CODE_B_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_CODE_CLOSE

    public static final java.lang.String TPL_THEME_CODE_CODE_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_CODE_OPEN

    public static final java.lang.String TPL_THEME_CODE_CODE_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_COLOR_CLOSE

    public static final java.lang.String TPL_THEME_CODE_COLOR_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_COLOR_OPEN

    public static final java.lang.String TPL_THEME_CODE_COLOR_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_EMAIL

    public static final java.lang.String TPL_THEME_CODE_EMAIL

See Also:
  Constant Field Values

### TPL_THEME_CODE_I_CLOSE

    public static final java.lang.String TPL_THEME_CODE_I_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_I_OPEN

    public static final java.lang.String TPL_THEME_CODE_I_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_IMG

    public static final java.lang.String TPL_THEME_CODE_IMG

See Also:
  Constant Field Values

### TPL_THEME_CODE_LISTITEM

    public static final java.lang.String TPL_THEME_CODE_LISTITEM

See Also:
  Constant Field Values

### TPL_THEME_CODE_OLIST_CLOSE

    public static final java.lang.String TPL_THEME_CODE_OLIST_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_OLIST_OPEN

    public static final java.lang.String TPL_THEME_CODE_OLIST_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_QUOTE_CLOSE

    public static final java.lang.String TPL_THEME_CODE_QUOTE_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_QUOTE_OPEN

    public static final java.lang.String TPL_THEME_CODE_QUOTE_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_QUOTE_USERNAME_OPEN

    public static final java.lang.String TPL_THEME_CODE_QUOTE_USERNAME_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_SIZE_CLOSE

    public static final java.lang.String TPL_THEME_CODE_SIZE_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_SIZE_OPEN

    public static final java.lang.String TPL_THEME_CODE_SIZE_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_U_CLOSE

    public static final java.lang.String TPL_THEME_CODE_U_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_U_OPEN

    public static final java.lang.String TPL_THEME_CODE_U_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_ULIST_CLOSE

    public static final java.lang.String TPL_THEME_CODE_ULIST_CLOSE

See Also:
  Constant Field Values

### TPL_THEME_CODE_ULIST_OPEN

    public static final java.lang.String TPL_THEME_CODE_ULIST_OPEN

See Also:
  Constant Field Values

### TPL_THEME_CODE_URL

    public static final java.lang.String TPL_THEME_CODE_URL

See Also:
  Constant Field Values

### FILTER_MODE_ALWAYS_PRINT

    public static final int FILTER_MODE_ALWAYS_PRINT

See Also:
  Constant Field Values

### FILTER_MODE_NEVER_PRINT

    public static final int FILTER_MODE_NEVER_PRINT

See Also:
  Constant Field Values

### FILTER_MODE_PRINT_IF_NOT_IN_TAGS

    public static final int FILTER_MODE_PRINT_IF_NOT_IN_TAGS

See Also:
  Constant Field Values

### FILTER_MODE_PRINT_IF_IN_TAGS

    public static final int FILTER_MODE_PRINT_IF_IN_TAGS

See Also:
  Constant Field Values

### OUTPUT_MODE_REMOVE

    public static final int OUTPUT_MODE_REMOVE

See Also:
  Constant Field Values

### OUTPUT_MODE_DISPLAY

    public static final int OUTPUT_MODE_DISPLAY

See Also:
  Constant Field Values

Constructor Detail

### ToHTMLConfig

    public ToHTMLConfig()

Method Detail

### setLoader

    public void setLoader(Loader loader)

### getMaxTextWidth

    public int getMaxTextWidth()

### setMaxTextWidth

    public void setMaxTextWidth(int maxTextWidth)

### setTags

    public void setTags(java.util.Set tags)

### getTags

    public java.util.Set getTags()

### getFilterMode

    public int getFilterMode()

### setFilterMode

    public void setFilterMode(int filterMode)

### getOuputMode

    public int getOuputMode()

### setOuputMode

    public void setOuputMode(int ouputMode)

### print

    public boolean print(java.lang.String tag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD